%define url_ver %(echo %{version} | cut -d. -f1,2)

Summary:	A removable volume manager for Thunar
Name:		thunar-volman
Version:	4.20.0
Release:	%mkrel 2
License:	GPLv2+
Group:		Graphical desktop/Xfce
URL:		https://docs.xfce.org/thunar-plugins/thunar-volman
Source0:	https://archive.xfce.org/src/xfce/thunar-volman/%{url_ver}/thunar-volman-%{version}.tar.bz2
BuildRequires:	intltool
BuildRequires:	pkgconfig(exo-2) >= 4.18.0
BuildRequires:	pkgconfig(gio-2.0)
BuildRequires:	pkgconfig(glib-2.0)
BuildRequires:	pkgconfig(gthread-2.0)
BuildRequires:	pkgconfig(gtk+-3.0)
BuildRequires:	pkgconfig(gudev-1.0)
BuildRequires:	pkgconfig(libnotify)
BuildRequires:	pkgconfig(libxfce4ui-2) >= 4.18.0
BuildRequires:	pkgconfig(libxfce4util-1.0) >= 4.18.0
BuildRequires:	pkgconfig(libxfconf-0) >= 4.18.0
Requires:	thunar
Requires:	dbus
Requires:	gvfs

%description
The Thunar Volume Manager is an extension for the Thunar file manager, which
enables automatic management of removable drives and media. For example, if
thunar-volman is installed and configured properly, and you plug in your
digital camera, it will automatically launch your preferred photo application
and import the new pictures from the camera into your photo collection.

%prep
%autosetup -p1

%build
%configure \
	--enable-notifications
%make_build

%install
%make_install

%find_lang %{name}

%files -f %{name}.lang
%license COPYING
%doc AUTHORS ChangeLog NEWS THANKS README.md
%{_bindir}/thunar-volman
%{_bindir}/thunar-volman-settings
%{_iconsdir}/hicolor/*/apps/*.png
%{_iconsdir}/hicolor/scalable/apps/*.svg
%{_datadir}/applications/thunar-volman-settings.desktop


%changelog
* Mon Jun 30 2025 umeabot <umeabot> 4.20.0-2.mga10
+ Revision: 2231458
- Mageia 10 Mass Rebuild

* Sun Dec 15 2024 wally <wally> 4.20.0-1.mga10
+ Revision: 2125194
- new version 4.20.0

* Fri Nov 01 2024 wally <wally> 4.19.0-1.mga10
+ Revision: 2112049
- new version 4.19.0

* Fri Dec 16 2022 wally <wally> 4.18.0-1.mga9
+ Revision: 1923762
- new version 4.18.0

* Sat Dec 03 2022 wally <wally> 4.17.1-1.mga9
+ Revision: 1915985
- new version 4.17.1

* Fri Nov 04 2022 wally <wally> 4.17.0-1.mga9
+ Revision: 1902845
- new version 4.17.0

* Sun Apr 03 2022 umeabot <umeabot> 4.16.0-2.mga9
+ Revision: 1842285
- Mageia 9 Mass Rebuild

* Wed Dec 23 2020 wally <wally> 4.16.0-1.mga8
+ Revision: 1663199
- new version 4.16.0

* Wed Nov 04 2020 wally <wally> 4.15.1-1.mga8
+ Revision: 1642619
- new version 4.15.1

* Fri Aug 21 2020 wally <wally> 4.15.0-1.mga8
+ Revision: 1617677
- new version 4.15.0

* Sat Jul 04 2020 wally <wally> 0.9.5-3.mga8
+ Revision: 1601848
- rebuild with gtk3 only exo

* Sat Feb 15 2020 umeabot <umeabot> 0.9.5-2.mga8
+ Revision: 1528194
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Mon Aug 12 2019 wally <wally> 0.9.5-1.mga8
+ Revision: 1428944
- new version 0.9.5

* Wed Jul 31 2019 wally <wally> 0.9.4-1.mga8
+ Revision: 1426401
- new version 0.9.4

* Mon Jul 01 2019 wally <wally> 0.9.3-1.mga8
+ Revision: 1417254
- new version 0.9.3

* Sat May 18 2019 wally <wally> 0.9.2-1.mga7
+ Revision: 1398248
- new version 0.9.2

* Thu Nov 29 2018 wally <wally> 0.9.1-1.mga7
+ Revision: 1336738
- new version 0.9.1

* Sun Sep 23 2018 umeabot <umeabot> 0.9.0-2.mga7
+ Revision: 1301405
- Mageia 7 Mass Rebuild

* Thu Dec 14 2017 wally <wally> 0.9.0-1.mga7
+ Revision: 1182562
- new version 0.9.0
- switch to gtk3

* Sun Oct 08 2017 wally <wally> 0.8.1-3.mga7
+ Revision: 1170235
- rebuild for new xfconf

* Tue Feb 09 2016 umeabot <umeabot> 0.8.1-2.mga6
+ Revision: 952430
- Mageia 6 Mass Rebuild

* Tue Mar 03 2015 wally <wally> 0.8.1-1.mga5
+ Revision: 817404
- new version 0.8.1
- drop upstreamed patches

* Wed Oct 15 2014 umeabot <umeabot> 0.8.0-6.mga5
+ Revision: 740268
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.8.0-5.mga5
+ Revision: 689874
- Mageia 5 Mass Rebuild

* Tue Feb 04 2014 wally <wally> 0.8.0-4.mga5
+ Revision: 580949
- add patch from upstream bugzilla to use xfce_dialog_show_help() instead of ThunarHelp (xfce#10204)

* Fri Oct 18 2013 umeabot <umeabot> 0.8.0-3.mga4
+ Revision: 519628
- Mageia 4 Mass Rebuild

* Mon Jan 14 2013 umeabot <umeabot> 0.8.0-2.mga3
+ Revision: 384543
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon May 28 2012 wally <wally> 0.8.0-1.mga3
+ Revision: 248463
- new version 0.8.0
- clean .spec

* Mon Jun 13 2011 ahmad <ahmad> 0.6.0-3.mga2
+ Revision: 105550
- Rebuild against libnotify-0.7

* Thu Feb 17 2011 ahmad <ahmad> 0.6.0-2.mga1
+ Revision: 53142
- drop old/unneeded scriptlets
- imported package thunar-volman


* Wed Jan 26 2011 Tomasz Pawel Gajc <tpg@mandriva.org> 0.6.0-1mdv2011.0
+ Revision: 632766
- update to new version 0.6.0

* Wed Dec 08 2010 Tomasz Pawel Gajc <tpg@mandriva.org> 0.5.3-1mdv2011.0
+ Revision: 616410
- update to new version 0.5.3

* Mon Nov 08 2010 Tomasz Pawel Gajc <tpg@mandriva.org> 0.5.2-2mdv2011.0
+ Revision: 595119
- drop buildrequires and requires on hal
- gvfs is needed as a runtime dependency, without this auto mount does not work

* Sun Nov 07 2010 Tomasz Pawel Gajc <tpg@mandriva.org> 0.5.2-1mdv2011.0
+ Revision: 594764
- update to new version 0.5.2

* Sat Sep 18 2010 Tomasz Pawel Gajc <tpg@mandriva.org> 0.5.1-1mdv2011.0
+ Revision: 579585
- update to new version 0.5.1
- drop patch0
- adjust buildrequires
- fix file list

* Thu Jun 17 2010 Ahmad Samir <ahmadsamir@mandriva.org> 0.3.80-6mdv2010.1
+ Revision: 548214
- only show .desktop file in XFCE

* Fri May 07 2010 Tomasz Pawel Gajc <tpg@mandriva.org> 0.3.80-5mdv2010.1
+ Revision: 543286
- rebuild for mdv 2010.1

* Sun Sep 20 2009 Thierry Vignaud <tv@mandriva.org> 0.3.80-4mdv2010.0
+ Revision: 445425
- rebuild

* Thu Mar 05 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 0.3.80-3mdv2009.1
+ Revision: 349271
- Patch0: fix compiling with -Werror=format-strings

* Sat Oct 18 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 0.3.80-2mdv2009.1
+ Revision: 294880
- drop patch 3

* Thu Sep 18 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 0.3.80-1mdv2009.1
+ Revision: 285641
- update to new version 0.3.80
- drop patches 1 and 2, as they were merged upstream
- Patch3: lower exo version requirements (for LUKS support)

* Wed Aug 20 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 0.2.0-6mdv2009.0
+ Revision: 274172
- Patch2: add support for LUKS encrypted volumes (upstream bug #3349)

* Sun Aug 03 2008 Thierry Vignaud <tv@mandriva.org> 0.2.0-5mdv2009.0
+ Revision: 261535
- rebuild

* Wed Jul 30 2008 Thierry Vignaud <tv@mandriva.org> 0.2.0-4mdv2009.0
+ Revision: 254538
- rebuild

  + Tomasz Pawel Gajc <tpg@mandriva.org>
    - revert, it is pointless to backport this patch, too much effort
    - Patch4: add support for LUKS encrypted volumes (upstream bug #3349)
    - run scriplets only for mdv older than 2009

* Wed Mar 19 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 0.2.0-2mdv2008.1
+ Revision: 189004
- fix summary
- add missing buildrequires on libusb-devel
- rebuild

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Tue Dec 04 2007 Jérôme Soyer <saispo@mandriva.org> 0.2.0-1mdv2008.1
+ Revision: 115271
- New release 0.2.0

  + Tomasz Pawel Gajc <tpg@mandriva.org>
    - new license policy
    - do not package COPYING and INSTALL files

* Tue Sep 04 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.1.2-3mdv2008.0
+ Revision: 79380
- provide patch 0 (properlly detect DVD disks)
  provide patch 1 (run audio player only for ipod medias alike)

* Thu May 31 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.1.2-2mdv2008.0
+ Revision: 33283
- drop __libtoolize
- spec file clean
- add macros to %%post and %%postun


* Tue Apr 03 2007 Jérôme Soyer <saispo@mandriva.org> 0.1.2-1mdv2007.1
+ Revision: 150344
- Import thunar-volman

